<!--##
<NAME>Topics - Details Design</NAME>
<DESC>General design template for Topic Details</DESC>
<SECTION>Platform||Topics</SECTION>
##-->
<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:bb_Field name="TopicText"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<!--## SIDE-BAR ELEMENT ##-->
<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-bulletin/elements/side_boxes/action_box.elm" design="blue_box" item_actions="1"/>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## //SIDE-BAR ELEMENT ##-->

<!--## MAIN CONTENT ##-->
<inp2:m_DefineElement name="content">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_include template="platform/elements/navigation_bar.elm" titles="__item__,lu_title_TopicPosts" templates="__default__,in-bulletin/designs/post_list" show_category="1"/>
		</div>
		<div class="movable-element">
			<!-- posts in topic -->
			<inp2:m_RenderElement design="content_box">
				<inp2:bb-post_InitList list_name="posts_in_topic"/>

				<inp2:m_Capture to_var="header">
					<inp2:m_if check="bb_IsLocked">
						[<inp2:m_phrase name="lu_LockedTopic"/>]&nbsp;
					</inp2:m_if>
					<inp2:bb_Field name="TopicText"/> - <inp2:m_phrase name="lu_title_TopicPosts"/> (<inp2:bb-post_TotalRecords list_name="posts_in_topic"/>)
				</inp2:m_Capture>

				<inp2:m_if check="bb_HasPermission" permissions="TOPIC.REPLY.VIEW">
					<inp2:m_include template="in-bulletin/elements/categories.elm"/>
					<inp2:m_include template="in-bulletin/elements/topics.elm"/>
					<inp2:m_include template="in-bulletin/elements/posts.elm"/>

					<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/s.gif" width="1" height="10" alt="" /><br />

					<table class="fullwidth">
						<tr>
							<td align="left">
								<inp2:m_if check="bb_HasPermission" permissions="TOPIC.REPLY.ADD">
									<inp2:m_RenderElement design="big_button" title="lu_btn_Reply" icon="btn_reply">
										<inp2:bb_TopicLink template="in-bulletin/topics/new_topic_reply"/>
									</inp2:m_RenderElement>
								</inp2:m_if>
							</td>

							<td align="right">
								<table>
									<tr>
										<inp2:m_if check="bb_HasPermission" permissions="TOPIC.MODIFY|TOPIC.MODIFY.PENDING|TOPIC.OWNER.MODIFY|TOPIC.OWNER.MODIFY.PENDING">
											<td>
												<inp2:m_RenderElement design="big_button" title="lu_btn_Modify" icon="btn_modify">
													<inp2:bb_TopicLink template="in-bulletin/topics/modify_topic"/>
												</inp2:m_RenderElement>
											</td>
										</inp2:m_if>

										<td>
											<inp2:m_if check="bb_IsFavorite">
												<inp2:m_RenderElement design="big_button" title="lu_btn_RemoveFromFavorites" icon="btn_remove_favorites">
													<inp2:bb_FavoriteToggleLink/>
												</inp2:m_RenderElement>
											<inp2:m_else/>
												<inp2:m_RenderElement design="big_button" title="lu_btn_AddToFavorites" icon="btn_add_favorites">
													<inp2:bb_FavoriteToggleLink/>
												</inp2:m_RenderElement>
											</inp2:m_if>
										</td>

										<inp2:m_if check="bb_HasPermission" permissions="TOPIC.LOCK">
											<td>
												<inp2:m_if check="bb_IsLocked">
													<inp2:m_RenderElement design="big_button" title="lu_btn_UnlockTopic" icon="btn_no_icon">
														<inp2:bb_LockToggleLink/>
													</inp2:m_RenderElement>
												<inp2:m_else/>
													<inp2:m_RenderElement design="big_button" title="lu_btn_LockTopic" icon="btn_no_icon">
														<inp2:bb_LockToggleLink/>
													</inp2:m_RenderElement>
												</inp2:m_if>
											</td>
										</inp2:m_if>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					<br />

					<table width="100%">
						<tr>
							<td colspan="2">
								<div class="horizontal-separator"><img src="<inp2:m_TemplatesBase module="In-Portal"/>img/s.gif" width="1" height="1" alt="" /></div>
							</td>
						</tr>
						<tr class="forums-header">
							<td style="width: 200px;">
								<inp2:m_phrase name="lu_col_Author"/>
							</td>
							<td>
								<inp2:m_phrase name="lu_col_Message"/>
							</td>
						</tr>
						<inp2:bb-post_ListPosts list_name="posts_in_topic" render_as="post_element" no_table="1"/>
					</table>
					<br />

					<inp2:m_include template="platform/elements/pagination.elm" prefix="bb-post" list_name="posts_in_topic"/>
				<inp2:m_else/>
					<inp2:m_phrase name="lu_text_NoTopicReplyViewPermission"/>
				</inp2:m_if>
			</inp2:m_RenderElement>
			<!-- // posts in topic -->
		</div>
		<div class="movable-element">
			<!--## RELATED TO POST ITEMS ##-->
			<inp2:m_RenderElement design="content_box" related_to="Topic" data_exists="1">
				<inp2:m_Capture to_var="header">
					<inp2:m_Phrase label="lu_title_RelatedItems"/>
				</inp2:m_Capture>

				<inp2:m_ModuleInclude template="elements/content_boxes/related_items.elm" related_to="$related_to" />
			</inp2:m_RenderElement>
			<!--## // RELATED TO POST ITEMS ##-->
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /MAIN CONTENT ##-->

<!--## DESIGN TEMPLATE ##-->
<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>
<!--## /DESIGN TEMPLATE ##-->